The package of ExtJS 3.3 beta1 was released one week ago, but it didn't contain the same version of Ext Core lib, currently I can only find 3.1 version available here and there. And thanks for Condor's input, I've built Ext Core v3.3.0 successfully from svn 3.3.x branch.

According to my latest slickspeed including Ext Core v3.3.0, the selector engine speed seems faster than before.
- view online demo of speed/validity selectors comparation for latest frameworks
(Slickspeed takes a few seconds to load all frameworks for test, because my server is not fast so please be a little patient...)